@import "variables.css";

#top-menu--master-container{
    position: sticky;
    left: 0;
    top: 0;
    background-color: white;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    -webkit-backface-visibility: hidden;
    min-height: 10vh;

}
.top-menu--container{
    /* border: 1px solid blue; */
    margin: 0 auto;
    width: 60vw;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    /* border: 1px solid blue; */
}
#top-menu--brand-container{
    display: flex;
    align-items: center;
    justify-content: center;
}
#brand{
    width: 60px;
}
#user-greeting{
    margin-right: 2em;
}
#top-menu--items{
    display: flex;
    flex-direction: row;
    place-items: center;
}
.menu-item,
.menu-item-mobile{
    text-decoration: none;
    font-size: .9em;
    font-weight: 700;
    color: var(--primary-color-dark);
    padding: 5px 20px;
    border: 2px solid #0000;
    border-radius: 100px;
    transition: color .3s;
    cursor: pointer;
}
.menu-item:hover,
.menu-item-mobile:hover{
    color: black;
    text-decoration: underline;
    background-color: var(--primary-color);
}
#logout{
    background-color: #0000;
    margin-left: 2em;
    border: 2px solid var(--primary-color-dark);
}
#logout:hover{
    border-color: var(--primary-color);
    background-color: var(--primary-color);
}
#top-menu-mobile--container{
    display: none;
}

#top-menu-mobile--menu{
    width: 100vw;
    height: 100vh;
    background-color: whitesmoke;
    display: none;
    position: absolute;
    top: -100vh;
    transition: top .5s ease-in-out;
}
a>img.svg-image,
button>img.svg-image{
    width: 25px;
}
a:hover>img.svg-image,
button:hover>img.svg-image{
    filter: saturate(0) brightness(0);
}
@media  screen and (max-width: 1024px) {
    #top-menu--items{
        display: none;
    }
    #top-menu-mobile--container{
        display: inline-block;
        /* border: 1px solid blue; */
        width: 50px;
        height: 30px;
    }
    #top-menu-mobile--menu{
        display: flex;
        flex-direction: column;
        justify-content: center;
        place-items: center;
        z-index: -1;
    }
    #top-menu-mobile--menu.open-menu{
        top: 0;
    }
    #top-menu-mobile--menu-items{
        display: flex;
        flex-direction: column;
        height: 60vh;
        justify-content: space-between;
        place-items: center;
    }
    .menu-item-mobile{
        font-size: 1.8em;
        font-weight: 500;
        }
    #burger-menu-button{
        display: flex;
        width: inherit;
        height: inherit;
        flex-direction: column;
        justify-content: space-between;
        align-items: flex-end;
        cursor: pointer;
        /* border: 1px solid violet; */
    }
    #burger-menu-button.burger-x > div:nth-child(1){
        transform: rotate(45deg) translate(11px,10px);
    }
    #burger-menu-button.burger-x > div:nth-child(2){
        width: 0;
    }
    #burger-menu-button.burger-x > div:nth-child(3){
        transform-origin: 25% 50%;
        transform: translate(5px,0) rotate(-45deg) ;
        width: 50px;
    }
        #upper-line,
        #mid-line,
        #lower-line{
            height: 5px;
            border-radius: 20px;
            background-color: var(--primary-color-dark);
            transition: all .25s ease-in-out;
        }
       #upper-line{
        width: 50px;
       }
       #mid-line{
        width: 40px;
       }
       #lower-line{
        width: 30px;
       }

    .top-menu--container{
        width: 90vw;
    }
    #logout{
        margin: 0;
        font-size: 2em;
        font-weight: 400;
    }
}